require_relative 'install.rb'
require_relative 'transform.rb'
require_relative 'build.rb'
require_relative 'dependency.rb'
require_relative 'semantic_versioning.rb'

require 'net/http'

# installation
installers = [
  'ruby', 'devkit', 'gems'
]

installers.each { |method|
  exit if !send("check_#{method}")
}

require 'rubygems'
require 'nokogiri'
require 'azure'

# includes for rake build
include FileTest
require 'albacore'
require 'semver'
require 'rake'
